PPI::Token::Cast(3pm)

NAME
PPI::Token::Cast - A prefix which forces a value into a different context

INHERITANCE
  PPI::Token::Cast
  isa PPI::Token
      isa PPI::Element

DESCRIPTION
A "cast" in PPI terms is one of more characters used as a prefix which force a value into a different class or context.

This includes referencing, dereferencing, and a few other minor cases.

For expressions such as @$foo or "@{ $foo{bar} }" the "@" in both cases represents a cast. In this case, an array dereference.

METHODS
There are no additional methods beyond those provided by the parent PPI::Token and PPI::Element classes.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.